

#include "RingoHardware.h"
int dist = 50;
int Direction = 0;
void setup() {
  HardwareBegin();        //initialize Ringo's brain to work with his circuitry
  PlayStartChirp();       //Play startup chirp and blink eyes
  SwitchMotorsToSerial(); //Call "SwitchMotorsToSerial()" before using Serial.print functions as motors & serial share a line
  RestartTimer();
  NavigationBegin();
  CalibrateNavigationSensors();
}



void loop() {
// simple test: should keep going in a square with sides = (2 X dist)
  Forward();
  Forward();
  Right();
  Forward();
  Forward();
  Right();
  Forward();
  Forward();
  Right();
}


//=======  functions go here ========
void Forward( ) {
  SetPixelRGB(3, 0, 0, 150);
  MoveWithOptions(Direction, dist, 200, 3000, 100, 0, 0); //direction, distance, speed,MaxRun,MaxSkid,edge,wiggle
  OffPixels();
  PauseNavigation();
  delay(1000);
  ResumeNavigation();
}
//  -------------------------
void Right() {
  SetPixelRGB(4, 0, 150, 0);
  //Direction = Direction + 90;
  RotateAccurate(90, 3000); //exact rotation
  PauseNavigation();
  delay(500);
  ResumeNavigation();
  CalibrateNavigationSensors();
    ZeroNavigation();
  OffPixels();
  
}
//--------------------------
void Left() {
  SetPixelRGB(4, 150, 0, 0);
  //Direction = Direction - 90;
  RotateAccurate(-90, 3000); //exact rotation
  PauseNavigation();
  delay(500);
  ResumeNavigation();
  CalibrateNavigationSensors();
    ZeroNavigation();
  OffPixels();

}


